package com.bukkit.cppchriscpp.ExcessLapis;

import java.io.*;
import java.util.HashMap;
import java.util.ArrayList;
import org.bukkit.entity.Player;
import org.bukkit.Server;
import org.bukkit.event.Event.Priority;
import org.bukkit.event.Event;
import org.bukkit.plugin.PluginDescriptionFile;
import org.bukkit.plugin.PluginLoader;
import org.bukkit.plugin.java.JavaPlugin;
import org.bukkit.plugin.PluginManager;

/**
 * ExcessLapis Plugin
 * Drops extra dye when blue ore blocks are broken.
 *
 * @author cppchriscpp
 */
public class ExcessLapis extends JavaPlugin {

    /**
     * A Block listener.
     */
    private final ExcessLapisBlockListener blockListener = new ExcessLapisBlockListener(this);

    /**
     * Something related to debugging
     */
    private final HashMap<Player, Boolean> debugees = new HashMap<Player, Boolean>();

	/**
	 * Constructor; not all that much should be done here
	 */
    public ExcessLapis(PluginLoader pluginLoader, Server instance, PluginDescriptionFile desc, File folder, File plugin, ClassLoader cLoader) {
        super(pluginLoader, instance, desc, folder, plugin, cLoader);
    }


	/**
	 * Called upon enabling the plugin
	 */
    public void onEnable() {
        // TODO: Place any custom enable code here including the registration of any events

        // Register our events
        PluginManager pm = getServer().getPluginManager();
		pm.registerEvent(Event.Type.BLOCK_DAMAGED, blockListener, Priority.Normal, this);

        PluginDescriptionFile pdfFile = this.getDescription();
        System.out.println( pdfFile.getName() + " version " + pdfFile.getVersion() + " is enabled!" );
    }

    /*
     * Called upon disabling the plugin.
     */
    public void onDisable() {

    }
    public boolean isDebugging(final Player player) {
        if (debugees.containsKey(player)) {
            return debugees.get(player);
        } else {
            return false;
        }
    }

    public void setDebugging(final Player player, final boolean value) {
        debugees.put(player, value);
    }
}

